# template: hammer_plugin
%global gem_name hammer_cli_foreman_kubevirt
%global plugin_name foreman_kubevirt

%global hammer_confdir %{_sysconfdir}/hammer

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?foremandist}%{?dist}
Summary: Foreman kubevirt commands for Hammer CLI
License: GPLv3
URL: https://github.com/theforeman/hammer-cli-foreman-kubevirt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Foreman kubevirt commands for Hammer CLI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{hammer_confdir}/cli.modules.d
install -m 0644 .%{gem_instdir}/config/%{plugin_name}.yml \
                %{buildroot}%{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%config(noreplace) %{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/config

%changelog
* Mon Mar 25 2024 Leos Stejskal <lstejska@redhat.com> 0.2.0-1
- Update to 0.2.0-1

* Wed Nov 03 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.1.5-1
- Update to 0.1.5

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.1.4-2
- Rebuild plugins for Ruby 2.7

* Thu Mar 19 2020 Shira Maximov <shiramaximov@gmail.com> 0.1.4-1
- Update to 0.1.4

* Wed May 22 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.3-1
- Update to 0.1.3

* Sun May 19 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.2-1
- Update to 0.1.2

* Sun May 19 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.1-1
- Update to 0.1.1

* Wed May 15 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.0-1
- Add rubygem-hammer_cli_foreman_kubevirt generated by gem2rpm using the hammer_plugin template

